Package imp

## Class XML

- java.lang.Object
- - imp.XML

-     public class XML
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XML()` | Erzeugt ein leeres XMLDokument
    `XML​(String filename)` | Erzeugt ein XML-Dokument aus einer Datei

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `XML` | `addChild​(String name)` | Erzeuge neues Element nach der aktuellen Position und setze dieses als aktuelles Element
    `int` | `getAttributeCount()` | liefert die Anzahl der Attribute eines Elements.
    `XML` | `getChild​(int i)` | Liefert das i.
    `XML` | `getChild​(String name)` | Liefert das erste Kind des Elements mit einem bestimmten Namen.
    `XML[]` | `getChildren()` | Liefert alle Kinder des Elements als Array von XML-Objekten.
    `XML[]` | `getChildren​(String name)` | Liefert bestimmte Kinder des Elements als Array von XML-Objekten.
    `String` | `getContent()` | Fragt den Inhalt/Text des aktuellen Elements ab
    `String` | `getContent​(String defaultValue)` | Fragt den Inhalt/Text des aktuellen Elements ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
    `double` | `getDouble​(String attribute)` | Fragt einen Attributwert des aktuellen Elements ab
    `double` | `getDouble​(String attribute, double defaultValue)` | Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
    `double` | `getDoubleContent()` | Fragt den Inhalt des aktuellen Elements als Doublezahl ab
    `double` | `getDoubleContent​(double defaultValue)` | Fragt den Inhalt des aktuellen Elements als Doublezahl ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
    `float` | `getFloat​(String attribute)` | Fragt einen Attributwert des aktuellen Elements ab
    `float` | `getFloat​(String attribute, float defaultValue)` | Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
    `float` | `getFloatContent()` | Fragt den Inhalt des aktuellen Elements als Floatzahl ab
    `float` | `getFloatContent​(float defaultValue)` | Fragt den Inhalt des aktuellen Elements als Floatzahl ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
    `int` | `getInt​(String attribute)` | Fragt einen Attributwert des aktuellen Elements ab
    `int` | `getInt​(String attribute, int defaultValue)` | Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
    `int` | `getIntContent()` | Fragt den Inhalt des aktuellen Elements als Integerzahl ab
    `int` | `getIntContent​(int defaultValue)` | Fragt den Inhalt des aktuellen Elements als Integerzahl ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
    `String` | `getName()` | Frage den Namen des aktuellen Elements ab
    `XML` | `getParent()` | liefert ein XML-Objekt, das auf den Vaterknoten des aktuellen Elements zeigt.
    `String` | `getString​(String attribute)` | Fragt einen Attributwert des aktuellen Elements ab
    `String` | `getString​(String attribute, String defaultValue)` | Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
    `boolean` | `hasAttribute()` | liefert zurück, ob das aktuelle Element Attribute hat .
    `boolean` | `hasChildren()` | Überprüft, ob das Element irgendwelche Kinder hat oder nicht, und gibt das Ergebnis als boolean zurück.
    `String[]` | `listAttributes()` | Ruft alle Attribute des angegebenen Elements ab und gibt sie als Array von Strings zurück.
    `String[]` | `listChildren()` | Ermittelt die Namen aller Kinder des Elements und gibt die Namen als ein Array von Strings zurück.
    `void` | `loadXML​(String filename)` | Öffnet das durch den Dateinamen gegebene Dokument
    `void` | `removeChild​(XML kid)` | löscht ein Kind des aktuellen Knotens.
    `void` | `saveXML​(String filename)` | Speichert den XML-Baum im angegebenen Dateinamen
    `void` | `setContent​(String text)` | Setzt den Inhalt/Text des aktuellen Elements
    `void` | `setDouble​(String attribute, double value)` | Setzt einen Attributwert des aktuellen Elements
    `void` | `setDoubleContent​(double value)` | Setzt den Inhalt des aktuellen Elements
    `void` | `setFloat​(String attribute, float value)` | Setzt einen Attributwert des aktuellen Elements
    `void` | `setFloatContent​(float value)` | Setzt den Inhalt des aktuellen Elements
    `void` | `setInt​(String attribute, int value)` | Setzt einen Attributwert des aktuellen Elements
    `void` | `setIntContent​(int value)` | Setzt den Inhalt des aktuellen Elements
    `void` | `setName​(String name)` | Setze den Namen des aktuellen Elements.
    `void` | `setString​(String attribute, String text)` | Setzt einen Attributwert des aktuellen Elements

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XML

          public XML()

      Erzeugt ein leeres XMLDokument

    - #### XML

          public XML​(String filename)

      Erzeugt ein XML-Dokument aus einer Datei
      Parameters:
        `filename` - Dateiname der XML-Datei

  - ### Method Detail

    - #### loadXML

          public void loadXML​(String filename)

      Öffnet das durch den Dateinamen gegebene Dokument
      Parameters:
        `filename` - Dateiname des XML-Files

    - #### saveXML

          public void saveXML​(String filename)

      Speichert den XML-Baum im angegebenen Dateinamen
      Parameters:
        `filename` - Dateiname des XML-Files

    - #### getParent

          public XML getParent()

      liefert ein XML-Objekt, das auf den Vaterknoten des aktuellen Elements zeigt.
      Returns:
        Vater des aktuellen Objekts.

    - #### hasChildren

          public boolean hasChildren()

      Überprüft, ob das Element irgendwelche Kinder hat oder nicht, und gibt das Ergebnis als boolean zurück.
      Returns:
        true, wenn Kinder vorhanden sind, sonst false

    - #### listChildren

          public String[] listChildren()

      Ermittelt die Namen aller Kinder des Elements und gibt die Namen als ein Array von Strings zurück. Dies ist dasselbe wie das Durchlaufen und Aufrufen von getName() auf jedem untergeordneten Element einzeln.
      Returns:
        Liste aller Namen der Kinder

    - #### getChildren

          public XML[] getChildren()

      Liefert alle Kinder des Elements als Array von XML-Objekten.
      Returns:
        Array der Kinder als XML-Objekte

    - #### getChildren

          public XML[] getChildren​(String name)

      Liefert bestimmte Kinder des Elements als Array von XML-Objekten. Die Methode gibt dabei alle Kinder zurück, die dem angegebenen Namen entsprechen.
      Parameters:
        `name` - Name der gesuchten Kind-Objekte
      Returns:
        Array der Kinder als XML-Objekte

    - #### getChild

          public XML getChild​(String name)

      Liefert das erste Kind des Elements mit einem bestimmten Namen. Die Methode gibt das erste Kind zurück, das dem angegebenen Namen entsprechen.
      Parameters:
        `name` - Name des gesuchten Kind-Objektes
      Returns:
        Kind als XML-Objekt

    - #### getChild

          public XML getChild​(int i)

      Liefert das i. Kind des Elements. Die Methode gibt das i. Kind des aktuellen Elements zurück.
      Parameters:
        `i` - Nummer des Kindes
      Returns:
        Kind als XML-Objekt

    - #### getName

          public String getName()

      Frage den Namen des aktuellen Elements ab
      Returns:
        Namen des Elements

    - #### setName

          public void setName​(String name)

      Setze den Namen des aktuellen Elements.
      Parameters:
        `name` - Neuer Name des Elements

    - #### getAttributeCount

          public int getAttributeCount()

      liefert die Anzahl der Attribute eines Elements.
      Returns:
        Anzahl des Attribute

    - #### hasAttribute

          public boolean hasAttribute()

      liefert zurück, ob das aktuelle Element Attribute hat .
      Returns:
        true, wenn es Attribute gibt

    - #### listAttributes

          public String[] listAttributes()

      Ruft alle Attribute des angegebenen Elements ab und gibt sie als Array von Strings zurück.
      Returns:
        Liste der Attributnamen

    - #### getString

          public String getString​(String attribute)

      Fragt einen Attributwert des aktuellen Elements ab
      Parameters:
        `attribute` - Name des Attributs
      Returns:
        Wert des Attributs

    - #### getString

          public String getString​(String attribute,
                                  String defaultValue)

      Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
      Parameters:
        `attribute` - Name des Attributs
        `defaultValue` - Standardwert, falls es das Attribut nicht gibt
      Returns:
        Wert des Attributs

    - #### setString

          public void setString​(String attribute,
                                String text)

      Setzt einen Attributwert des aktuellen Elements
      Parameters:
        `attribute` - Name des Attributs
        `text` - neuer Wert des Attributs

    - #### getInt

          public int getInt​(String attribute)

      Fragt einen Attributwert des aktuellen Elements ab
      Parameters:
        `attribute` - Name des Attributs
      Returns:
        Wert des Attributs als Integer-Zahl

    - #### getInt

          public int getInt​(String attribute,
                            int defaultValue)

      Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
      Parameters:
        `attribute` - Name des Attributs
        `defaultValue` - Standardwert, falls es das Attribut nicht gibt
      Returns:
        Wert des Attributs als Integer-Zahl

    - #### setInt

          public void setInt​(String attribute,
                             int value)

      Setzt einen Attributwert des aktuellen Elements
      Parameters:
        `attribute` - Name des Attributs
        `value` - neuer Wert des Attributs

    - #### getFloat

          public float getFloat​(String attribute)

      Fragt einen Attributwert des aktuellen Elements ab
      Parameters:
        `attribute` - Name des Attributs
      Returns:
        Wert des Attributs als Float-Zahl

    - #### getFloat

          public float getFloat​(String attribute,
                                float defaultValue)

      Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
      Parameters:
        `attribute` - Name des Attributs
        `defaultValue` - Standardwert, falls es das Attribut nicht gibt
      Returns:
        Wert des Attributs als Float-Zahl

    - #### setFloat

          public void setFloat​(String attribute,
                               float value)

      Setzt einen Attributwert des aktuellen Elements
      Parameters:
        `attribute` - Name des Attributs
        `value` - neuer Wert des Attributs

    - #### getDouble

          public double getDouble​(String attribute)

      Fragt einen Attributwert des aktuellen Elements ab
      Parameters:
        `attribute` - Name des Attributs
      Returns:
        Wert des Attributs als Double-Zahl

    - #### getDouble

          public double getDouble​(String attribute,
                                  double defaultValue)

      Fragt einen Attributwert des aktuellen Elements ab Sollte es das Attribut nicht geben, wird ein default-Wert zurückgegeben
      Parameters:
        `attribute` - Name des Attributs
        `defaultValue` - Standardwert, falls es das Attribut nicht gibt
      Returns:
        Wert des Attributs als double-Zahl

    - #### setDouble

          public void setDouble​(String attribute,
                                double value)

      Setzt einen Attributwert des aktuellen Elements
      Parameters:
        `attribute` - Name des Attributs
        `value` - neuer Wert des Attributs

    - #### getContent

          public String getContent()

      Fragt den Inhalt/Text des aktuellen Elements ab
      Returns:
        Inhalt des Elements

    - #### getContent

          public String getContent​(String defaultValue)

      Fragt den Inhalt/Text des aktuellen Elements ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
      Parameters:
        `defaultValue` - Standardtext
      Returns:
        Inhalt des Elements

    - #### setContent

          public void setContent​(String text)

      Setzt den Inhalt/Text des aktuellen Elements
      Parameters:
        `text` - Neuer Inhalt des Elements

    - #### getIntContent

          public int getIntContent​(int defaultValue)

      Fragt den Inhalt des aktuellen Elements als Integerzahl ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
      Parameters:
        `defaultValue` - Standardwert
      Returns:
        Inhalt des Elements

    - #### getIntContent

          public int getIntContent()

      Fragt den Inhalt des aktuellen Elements als Integerzahl ab
      Returns:
        Inhalt des Elements

    - #### setIntContent

          public void setIntContent​(int value)

      Setzt den Inhalt des aktuellen Elements
      Parameters:
        `value` - Neuer Inhalt des Elements

    - #### getFloatContent

          public float getFloatContent​(float defaultValue)

      Fragt den Inhalt des aktuellen Elements als Floatzahl ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
      Parameters:
        `defaultValue` - Standardwert
      Returns:
        Inhalt des Elements

    - #### getFloatContent

          public float getFloatContent()

      Fragt den Inhalt des aktuellen Elements als Floatzahl ab
      Returns:
        Inhalt des Elements

    - #### setFloatContent

          public void setFloatContent​(float value)

      Setzt den Inhalt des aktuellen Elements
      Parameters:
        `value` - Neuer Inhalt des Elements

    - #### getDoubleContent

          public double getDoubleContent​(double defaultValue)

      Fragt den Inhalt des aktuellen Elements als Doublezahl ab Hat das Element keinen Inhalt wird der defaultValue zurückgegeben.
      Parameters:
        `defaultValue` - Standardwert
      Returns:
        Inhalt des Elements

    - #### getDoubleContent

          public double getDoubleContent()

      Fragt den Inhalt des aktuellen Elements als Doublezahl ab
      Returns:
        Inhalt des Elements

    - #### setDoubleContent

          public void setDoubleContent​(double value)

      Setzt den Inhalt des aktuellen Elements
      Parameters:
        `value` - Neuer Inhalt des Elements

    - #### addChild

          public XML addChild​(String name)

      Erzeuge neues Element nach der aktuellen Position und setze dieses als aktuelles Element
      Parameters:
        `name` - Name des neuen Elements
      Returns:
        neues Element als XML-Objekt

    - #### removeChild

          public void removeChild​(XML kid)

      löscht ein Kind des aktuellen Knotens. Ist kid kein Kind des aktuellen Elements passiert gar nichts.
      Parameters:
        `kid` - XML-Objekt des Kindes